<?php

/*
=====================================================================

  프로젝트 이름 : 피리 웹프로그램

  만든사람 : 피리 PIREE ( piree1977@gmail.com )

  홈페이지 : www.piree.kr

  작업날짜 : 2017년 02월 18일 토요일 오후 21시 16분 - 날씨 춥다 추워

  그누보드5.4용 작업날짜 : 2020년 07월 29일 수요일 오전 01시 00분 - 날씨 흐리고 비

  저 작 권 : Copyright ⓒ 2014-2023 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              https://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 > 피리 기본 관리 > 라이브러리 > 칼라박스 > 결과 알려주기
=====================================================================


*/

  include_once('./_common.php');

  $page__prog_a[770016] = 770016;

  IF ( $mode_c == 'refresh' )
  {

      $incl__prog_n = $prog_n;

      $incl__url_s = $url_s;

      $incl__prog_div_c = $prog_div_c;

      $incl__msg_c = $msg_c;

      $incl__ac_msg_s = '';

      $incl__req_var_s = $req_var_s;

      $incl__parent_reload_n = $parent_reload_n;

      $incl__parent_layer_c = $parent_layer_c;

      $incl__parent_layer_v = $parent_layer_v;

      $incl__parent_close_time_n = $parent_close_time_n;

  }

  $is_success = 0;

  $colorbox_close_this_time_n = 0;

  IF ( $incl__parent_close_time_n > 0 )
  {

      $colorbox_close_parent_time_n = $incl__parent_close_time_n;
  }
  ELSE
  {

      $colorbox_close_parent_time_n = 2;
  }

  $title_s = "";

  $msg_s = "";

  $save_url = '';

  $save_var_s = '';

  IF ( $incl__url_s )
  {

      $save_url = clean_xss_tags($incl__url_s);

      $save_url = base64_decode($save_url);

      $save_url = preg_replace("/[\<\>\'\"\\\'\\\"\(\)]/", "", $save_url);

  }

  IF ( $incl__req_var_s )
  {

      $save_var_s = clean_xss_tags($incl__req_var_s);

      $save_var_s = urldecode($save_var_s);

      $save_var_s = preg_replace("/[\<\>\'\"\\\'\\\"\(\)]/", "", $save_var_s);

  }

  IF ( $prog_sub_c )
  {

      $code_file_s = "colorbox.allim.code.". $prog_sub_c .".inc.php";

  }
  ELSE
  {

      $code_file_s = "colorbox.allim.code.0.inc.php";

  }

  SWITCH( $incl__prog_n )
  {

      CASE $piree_prog_a[770016]['num'] :

          include_once( piree__path($piree_prog_a[770016]['num'], $code_file_s) );

      BREAK;

      CASE $piree_prog_a[770091]['num'] :

          include_once( piree__path($piree_prog_a[770091]['num'], $code_file_s) );

      BREAK;

      DEFAULT :

          include_once( piree__path($piree_prog_a[770000]['num'], $code_file_s) );

      BREAK;

  }

  $g5['title'] = $incl__ac_msg_s;

  include_once(G5_PATH ."/head.sub.php");

  SWITCH( $incl__parent_reload_n )
  {

      CASE 1 :
?>
          <script type='text/javascript'>
              setTimeout("parent.location.reload();", 2000);
          </script>
<?php

      CASE 2 :

          IF ( $incl__parent_layer_c )
          {
?>
              <script type='text/javascript'>
                  setTimeout("parent_member_list_memo();", 2000);

                  function parent_member_list_memo()
                  {
                      parent.$('#<?php echo $incl__parent_layer_c ?>').html(data);
                  }
              </script>
<?php
          }

  }

  $message_file_s = "colorbox.allim.gray_". $is_success .".skin.php";

  include_once( piree__path($piree_prog_a[770000]['num'], ''. $message_file_s) );

  include_once(G5_PATH ."/tail.sub.php");

?>